Execute analytic queries

post

/fscmRestApi/resources/11.13.18.05/analytics/action/executeLogicalQuery

Submits analytic queries for processing and returns the results grouped by request identifier. Each query is processed independently, allowing multiple queries to be included in a single request.

Request

Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/vnd.oracle.adf.action+json ()
Root Schema : schema
Type: object
Show Source
  • options
    Additional Properties Allowed: additionalProperties
    Optional execution control that specifies whether the request runs asynchronously. When asynchronous is set to true, the operation immediately returns the request status while the query continues to run in the background. When asynchronous is set to false, the operation waits for the query to complete and returns the results. Currently, the only supported execution control is asynchronous.
  • requests
    List of Business Intelligence Logical SQL requests to execute. Each request includes a request identifier and query.
Nested Schema : options
Type: object
Additional Properties Allowed
Show Source
Optional execution control that specifies whether the request runs asynchronously. When asynchronous is set to true, the operation immediately returns the request status while the query continues to run in the background. When asynchronous is set to false, the operation waits for the query to complete and returns the results. Currently, the only supported execution control is asynchronous.
Nested Schema : requests
Type: array
List of Business Intelligence Logical SQL requests to execute. Each request includes a request identifier and query.
Show Source
Nested Schema : items
Type: object
Additional Properties Allowed
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Body ()
Root Schema : schema
Type: object
Show Source
Nested Schema : result
Type: object
Additional Properties Allowed
Show Source
Response returned by the operation, including the request identifier and the results of the executed query or queries.
Nested Schema : additionalProperties
Type: array
Show Source
Nested Schema : items
Type: object
Additional Properties Allowed
Show Source
Back to Top